<template>
    <div class="container">
        <div class="margin-top-50"></div>
        <div class="row">
            <div class="columns twelve block-credit-rating">
                <div class="content">
                    <h3 class="main-header">Кредитный рейтинг</h3>
                    <div class="steps">
                        <div class="step pass">
                            <span>1</span>
                            <div>Заполнение анкеты</div>
                        </div>
                        <div class="step pass">
                            <span>2</span>
                            <div>Оплата</div>
                        </div>
                        <div class="step">
                            <span>3</span>
                            <div>Кредитный рейтинг</div>
                        </div>
                    </div>

                    <transition name="fade">
                        <payment v-if="ready"
                                 @pay-success="paymentSuccess"
                                 @pay-error="paymentDataError"
                        />
                    </transition>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import Payment from '@/components/Pay/PaymentMethods/CardForm.vue';
    export default {
        name: 'CreditRatingPayment',
        provide: {
            ActiveLoan: this
        },
        components: {
            Payment
        },

        data() {
            return {
                ready: true
            };
        },

        computed: {
			storeCreditRatingState() {
				return this.$store.state.creditRating;
            },
			paymentCreditRatingFrameUrl() {
				return this.storeCreditRatingState.paymentCreditRatingFrameUrl;
			},
			paymentCreditRatingAggregator() {
				return this.storeCreditRatingState.paymentCreditRatingAggregator;
			},
        },

        methods: {
            paymentSuccess() {
                this.$emit('nextStep', 'CreditRating');
            },

            paymentDataReady () {
                this.AJAX_LOADING(false);
            },

            paymentDataError () {
                this.AJAX_LOADING(false);
                this.$emit('nextStep', 'Payment');
                this.$pay.showPaymentForm = true;
            }
        },

        created() {
            if(this.storeCreditRatingState.latestResponseGuid && this.storeCreditRatingState.latestResponsePrice) {
                this.$store.commit('SET_PAYMENT', {
                    type: 'credit_rating',
                    amount: this.storeCreditRatingState.latestResponsePrice,
                });

                this.$store.commit('setServiceGuid', [this.storeCreditRatingState.latestResponseGuid]);
            } else {
                this.$route.push({name: 'credit-rating'});
            }
        },

        mounted () {
            this.$nextTick(() => {
                this.ready = true;
				this.$pay.showPaymentForm = true;
            })
        },
    }
</script>

<style lang="scss" scoped>
    .payment-card {
        /deep/ .card-pay {
            > .columns {
              max-width: none !important;
            }
        }
    }
</style>
